Package com.independentsoft.office

# Class RelationshipItem

java.lang.Object
com.independentsoft.office.RelationshipItem

public class RelationshipItem extends Object
The Class RelationshipItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationshipItem()`
  Instantiates a new relationship item.
  `RelationshipItem​(InternalXMLStreamReader reader)`
  Instantiates a new relationship item.
  `RelationshipItem​(String type)`
  Instantiates a new relationship item.
  `RelationshipItem​(String type, String target)`
  Instantiates a new relationship item.
  `RelationshipItem​(String type, String target, String targetMode)`
  Instantiates a new relationship item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RelationshipItem`
  `clone()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getTarget()`
  Gets the target.
  `String`
  `getTargetMode()`
  Gets the target mode.
  `String`
  `getType()`
  Gets the type.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setTarget​(String target)`
  Sets the target.
  `void`
  `setTargetMode​(String targetMode)`
  Sets the target mode.
  `void`
  `setType​(String type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelationshipItem

    public RelationshipItem()
    Instantiates a new relationship item.

  - ### RelationshipItem

    public RelationshipItem​(String type)
    Instantiates a new relationship item.
    Parameters:
      `type` - the type

  - ### RelationshipItem

    public RelationshipItem​(String type, String target)
    Instantiates a new relationship item.
    Parameters:
      `type` - the type
      `target` - the target

  - ### RelationshipItem

    public RelationshipItem​(String type, String target, String targetMode)
    Instantiates a new relationship item.
    Parameters:
      `type` - the type
      `target` - the target
      `targetMode` - the target mode

  - ### RelationshipItem

    public RelationshipItem​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new relationship item.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public RelationshipItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getTarget

    public String getTarget()
    Gets the target.
    Returns:
      the target

  - ### setTarget

    public void setTarget​(String target)
    Sets the target.
    Parameters:
      `target` - the new target

  - ### getTargetMode

    public String getTargetMode()
    Gets the target mode.
    Returns:
      the target mode

  - ### setTargetMode

    public void setTargetMode​(String targetMode)
    Sets the target mode.
    Parameters:
      `targetMode` - the new target mode